IF OBJECT_ID('GT_RETORNO_CABECALHO_GRUPOS_PRODUTOS_IPI') IS NULL 
BEGIN
	CREATE TABLE GT_RETORNO_CABECALHO_GRUPOS_PRODUTOS_IPI(
		CD_CTR_GRP_PROD BIGINT NOT NULL,
		CD_EMP INT NOT NULL,
		CD_PROD_RETORNADO INT NOT NULL,
		CST_ENT VARCHAR(2),
		CST_SAI VARCHAR(2),
		ALIQ_IPI MONEY,
		COD_ENQ VARCHAR(10),
		EXCECAO VARCHAR(10));
END

GO

IF OBJECT_ID('PK_GT_RETORNO_CABECALHO_GRUPOS_PRODUTOS_IPI') IS NULL 
BEGIN
	ALTER TABLE GT_RETORNO_CABECALHO_GRUPOS_PRODUTOS_IPI ADD CONSTRAINT PK_GT_RETORNO_CABECALHO_GRUPOS_PRODUTOS_IPI PRIMARY KEY (CD_CTR_GRP_PROD, CD_EMP, CD_PROD_RETORNADO);
END

GO

IF OBJECT_ID('FK_GT_RETORNO_CABECALHO_GRUPOS_PRODUTOS_IPI_GT_RETORNO_CABECALHO_GRUPOS_PRODUTOS') IS NULL 
BEGIN
	ALTER TABLE GT_RETORNO_CABECALHO_GRUPOS_PRODUTOS_IPI ADD CONSTRAINT FK_GT_RETORNO_CABECALHO_GRUPOS_PRODUTOS_IPI_GT_RETORNO_CABECALHO_GRUPOS_PRODUTOS FOREIGN KEY(CD_CTR_GRP_PROD) REFERENCES GT_RETORNO_CABECALHO_GRUPOS_PRODUTOS(CD_CTR);
END
